POST api/FawryPayment/EwalletPay
Request Information
URI Parameters
None.
Body Parameters
FawryEwalletPayRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| string |
Required Data type: EmailAddress |
||
| mobileNumber | string |
Data type: PhoneNumber |
|
| debitMobileWalletNo | string |
None. |
|
| amount | decimal number |
Required Range: inclusive between 1 and 2147483647 |
|
| packageType | string |
None. |
|
| userId | integer |
Required Range: inclusive between 1 and 2147483647 |
|
| accountId | integer |
None. |
|
| expiryDate | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"email": "sample string 1",
"mobileNumber": "sample string 2",
"debitMobileWalletNo": "sample string 3",
"amount": 1.0,
"packageType": "sample string 4",
"userId": 5,
"accountId": 6,
"expiryDate": "2026-04-12T18:03:58.3422428+03:00"
}
text/plain, application/octet-stream
Sample:
{"email":"sample string 1","mobileNumber":"sample string 2","debitMobileWalletNo":"sample string 3","amount":1.0,"packageType":"sample string 4","userId":5,"accountId":6,"expiryDate":"2026-04-12T18:03:58.3422428+03:00"}
application/xml, text/xml
Sample:
<FawryEwalletPayRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Services.Fawry.Models"> <accountId>6</accountId> <amount>1</amount> <debitMobileWalletNo>sample string 3</debitMobileWalletNo> <email>sample string 1</email> <expiryDate>2026-04-12T18:03:58.3422428+03:00</expiryDate> <mobileNumber>sample string 2</mobileNumber> <packageType>sample string 4</packageType> <userId>5</userId> </FawryEwalletPayRequest>
multipart/form-data, application/form-data
Sample:
<FawryEwalletPayRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Services.Fawry.Models"><accountId>6</accountId><amount>1</amount><debitMobileWalletNo>sample string 3</debitMobileWalletNo><email>sample string 1</email><expiryDate>2026-04-12T18:03:58.3422428+03:00</expiryDate><mobileNumber>sample string 2</mobileNumber><packageType>sample string 4</packageType><userId>5</userId></FawryEwalletPayRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ObjectNone.
Response Formats
application/json, text/json, text/plain, application/octet-stream
Sample:
{}
application/xml, text/xml, multipart/form-data, application/form-data
Sample:
<z:anyType xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:z="http://schemas.microsoft.com/2003/10/Serialization/" />